## blag 1.3.2

=== Makefile ===
# system python interpreter. used only to create virtual environment
PY = python3
VENV = venv
BIN=$(VENV)/bin

DOCS_SRC = docs
DOCS_OUT = $(DOCS_SRC)/_build


ifeq ($(OS), Windows_NT)
	BIN=$(VENV)/Scripts
	PY=python
endif


.PHONY: all
all: lint test

$(VENV): requirements.txt requirements-dev.txt setup.py
	$(PY) -m venv $(VENV)
	$(BIN)/pip install --upgrade -r requirements.txt
	$(BIN)/pip install --upgrade -r requirements-dev.txt
	$(BIN)/pip install -e .
	touch $(VENV)

.PHONY: test
test: $(VENV)
	$(BIN)/pytest

.PHONY: lint
lint: $(VENV)
	$(BIN)/flake8

.PHONY: release
release: $(VENV)
	rm -rf dist
	$(BIN)/python setup.py sdist bdist_wheel
	$(BIN)/twine upload dist/*

.PHONY: docs
docs: $(VENV)
	$(BIN)/sphinx-build $(DOCS_SRC) $(DOCS_OUT)

.PHONY: clean
clean:
	rm -rf build dist *.egg-info
	rm -rf $(VENV)
	rm -rf $(DOCS_OUT)
	rm -rf $(DOCS_SRC)/api
	find . -type f -name *.pyc -delete
	find . -type d -name __pycache__ -delete
	# coverage
	rm -rf htmlcov .coverage

=== requirements.txt ===
markdown==3.3.7
feedgenerator==2.0.0
jinja2==3.1.2
pygments==2.12.0

=== debian/changelog ===
blag (1.3.2) unstable; urgency=medium

  * Added --version option
  * Improved quickstart:
    * respective default answers will be written to config if user provided no
      answer
    * added tests for quickstart
  * Added some test cases for the MarkdownLinktreeProcessor

 -- Bastian Venthur <venthur@debian.org>  Wed, 29 Jun 2022 21:27:15 +0200

blag (1.3.1) unstable; urgency=medium

  * re-upload with man pages

 -- Bastian Venthur <venthur@debian.org>  Fri, 10 Jun 2022 07:26:19 +0200

blag (1.3.0) unstable; urgency=medium

  * Initial release. Closes: #1012584

 -- Bastian Venthur <venthur@debian.org>  Sun, 05 Jun 2022 15:20:48 +0200

=== debian/control ===
Source: blag
Section: python
Priority: optional
Maintainer: Bastian Venthur <venthur@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-sphinxdoc,
 dh-sequence-python3,
 dh-python,
 python3-setuptools,
 python3-all,
 python3-markdown,
 python3-feedgenerator,
 python3-jinja2,
 python3-pygments,
 python3-pytest,
 python3-pytest-cov,
 python3-sphinx,
#Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.0.1
Homepage: https://github.com/venthur/blag
Vcs-Browser: https://github.com/venthur/blag
Vcs-Git: https://github.com/venthur/blag.git

Package: blag
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Suggests:
 python-blag-doc,
Description: Blog-aware, static site generator
 Blag is a blog-aware, static site generator, written in Python. It supports
 the following features:
   * Write content in Markdown
   * Theming support using Jinja2 templates
   * Generation of Atom feeds for blog content
   * Fenced code blocks and syntax highlighting using Pygments
   * Integrated devserver
   * Available on PyPI

Package: blag-doc
Section: doc
Architecture: all
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
Description: Blog-aware, static site generator (documentation)
 Blag is a blog-aware, static site generator, written in Python. It supports
 the following features:
   * Write content in Markdown
   * Theming support using Jinja2 templates
   * Generation of Atom feeds for blog content
   * Fenced code blocks and syntax highlighting using Pygments
   * Integrated devserver
   * Available on PyPI
 .
 This is the common documentation package.

## blag 1.4.1

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 
 .PHONY: all
-all: lint test
+all: lint mypy test
 
 $(VENV): requirements.txt requirements-dev.txt setup.py
 	$(PY) -m venv $(VENV)
@@ -26,6 +26,10 @@
 .PHONY: test
 test: $(VENV)
 	$(BIN)/pytest
+
+.PHONY: mypy
+mypy: $(VENV)
+	$(BIN)/mypy
 
 .PHONY: lint
 lint: $(VENV)
@@ -51,3 +55,4 @@
 	find . -type d -name __pycache__ -delete
 	# coverage
 	rm -rf htmlcov .coverage
+	rm -rf .mypy_cache

=== requirements.txt ===
markdown==3.4.1
feedgenerator==2.0.0
jinja2==3.1.2
pygments==2.13.0

=== debian/changelog ===
blag (1.4.1) unstable; urgency=medium

  * Applied multi-arch fix by debian-janitor

 -- Bastian Venthur <venthur@debian.org>  Thu, 29 Sep 2022 20:41:28 +0200

blag (1.4.0) unstable; urgency=medium

  * added type hints and mypy --strict to test suite
  * improved default template

 -- Bastian Venthur <venthur@debian.org>  Thu, 01 Sep 2022 18:59:11 +0200

=== debian/control ===
--- 
+++ 
@@ -46,6 +46,7 @@
 Depends:
  ${sphinxdoc:Depends},
  ${misc:Depends},
+Multi-Arch: foreign
 Description: Blog-aware, static site generator (documentation)
  Blag is a blog-aware, static site generator, written in Python. It supports
  the following features:

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_DESTDIR=debian/blag
export PYBUILD_TEST_ARGS=--no-cov
export PYBUILD_NAME=blag

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


# If you need to rebuild the Sphinx documentation:
# Add sphinxdoc to the dh --with line.
#
# And uncomment the following lines.
execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	PYTHONPATH=. python3 -m sphinx -N -bhtml \
	docs/ build/html # HTML generator
	PYTHONPATH=. python3 -m sphinx -N -bman \
	docs/ build/man # Manpage generator

## blag 1.5.0

=== Makefile ===
--- 
+++ 
@@ -14,13 +14,13 @@
 
 
 .PHONY: all
-all: lint mypy test
+all: lint mypy test test-release
 
-$(VENV): requirements.txt requirements-dev.txt setup.py
+$(VENV): requirements.txt requirements-dev.txt pyproject.toml
 	$(PY) -m venv $(VENV)
 	$(BIN)/pip install --upgrade -r requirements.txt
 	$(BIN)/pip install --upgrade -r requirements-dev.txt
-	$(BIN)/pip install -e .
+	$(BIN)/pip install -e .['dev']
 	touch $(VENV)
 
 .PHONY: test
@@ -35,10 +35,17 @@
 lint: $(VENV)
 	$(BIN)/flake8
 
+.PHONY: build
+build: $(VENV)
+	rm -rf dist
+	$(BIN)/python3 -m build
+
+.PHONY: test-release
+test-release: $(VENV) build
+	$(BIN)/twine check dist/*
+
 .PHONY: release
-release: $(VENV)
-	rm -rf dist
-	$(BIN)/python setup.py sdist bdist_wheel
+release: $(VENV) build
 	$(BIN)/twine upload dist/*
 
 .PHONY: docs

=== debian/changelog ===
blag (1.5.0) unstable; urgency=medium

  * new upstream version
  * moved to pyproject.toml
  * added python 3.11 to test suite
  * break out lint and mypy from test matrix and only run on linux- and latest
    stable python to make it a bit more efficient
  * added dependabot check for github actions
  * updated dependencies:
    * mypy 1.2.0
    * types-markdown 3.4.2.1
    * pytest-cov 4.0.0
    * sphinx 5.3.0
    * pytest 7.3.0
    * flake8 6.0.0
    * twine 4.0.2
    * wheel 0.40.0

 -- Bastian Venthur <venthur@debian.org>  Sun, 16 Apr 2023 10:48:18 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  dh-sequence-sphinxdoc,
  dh-sequence-python3,
  dh-python,
+ pybuild-plugin-pyproject,
  python3-setuptools,
  python3-all,
  python3-markdown,

## blag 2.0.0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 BIN=$(VENV)/bin
 
 DOCS_SRC = docs
-DOCS_OUT = $(DOCS_SRC)/_build
+DOCS_OUT = site
 
 
 ifeq ($(OS), Windows_NT)
@@ -48,16 +48,20 @@
 release: $(VENV) build
 	$(BIN)/twine upload dist/*
 
+.PHONY: update-pygmentize
+update-pygmentize: $(VENV)
+	$(BIN)/pygmentize -f html -S default > blag/static/code-light.css
+	$(BIN)/pygmentize -f html -S monokai > blag/static/code-dark.css
+
 .PHONY: docs
 docs: $(VENV)
-	$(BIN)/sphinx-build $(DOCS_SRC) $(DOCS_OUT)
+	$(BIN)/mkdocs build
 
 .PHONY: clean
 clean:
 	rm -rf build dist *.egg-info
 	rm -rf $(VENV)
 	rm -rf $(DOCS_OUT)
-	rm -rf $(DOCS_SRC)/api
 	find . -type f -name *.pyc -delete
 	find . -type d -name __pycache__ -delete
 	# coverage

=== requirements.txt ===
markdown==3.4.3
feedgenerator==2.0.0
jinja2==3.1.2
pygments==2.15.1

=== debian/changelog ===
blag (2.0.0) unstable; urgency=medium

  * new upstream version

  * breaking:
    * blag does not use default fallback templates anymore and will return an
      error if it is unable to find required templates, e.g. in `templates/`.
      Users upgrading from older versions can either run `blag quickstart`
      (don't forget to backup your `config.ini` or copy the templates from
      blag's resources (the resource path is shown in the error message).
      New users are not affected as `blag quickstart` will generate the needed
      templates.
    * Split former archive page which served as index.html into "index" and
      "archive", each with their own template, respectively. Index is the
      landing page and shows by default only the latest 10 articles. Archive
      shows the full list of articles.
      If you used custom templates,
      * you should create an "index.html"-template (take blag's default one as
        a starting point)
      * you may want to include the new "/archive.html" link somewhere in your
        navigation

  * Changes:
    * blag comes now with a simple yet good looking default theme that
      supports syntax highlighting and a light- and dark theme.
    * apart from the generated configuration, `blag quickstart` will now also
      create the initial directory structure, with the default template, the
      static directory with the CSS files and the content directory with some
      initial content to get the user started
    * Added a make target to update the pygments themes
    * updated dependencies:
      * markdown 3.4.3
      * pygments 2.15.1
      * pytest 7.3.2
      * types-markdown 3.4.2.9
      * build 0.10.0
    * Switched from sphinx to mkdocs
    * fixed pyproject.toml to include tests/conftest.py

 -- Bastian Venthur <venthur@debian.org>  Fri, 16 Jun 2023 22:34:29 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
- dh-sequence-sphinxdoc,
  dh-sequence-python3,
  dh-python,
  pybuild-plugin-pyproject,
@@ -17,7 +16,9 @@
  python3-pygments,
  python3-pytest,
  python3-pytest-cov,
- python3-sphinx,
+ mkdocs,
+ mkdocs-material,
+ mkdocstrings-python-handlers,
 #Testsuite: autopkgtest-pkg-python
 Standards-Version: 4.6.0.1
 Homepage: https://github.com/venthur/blag
@@ -35,6 +36,7 @@
  Blag is a blog-aware, static site generator, written in Python. It supports
  the following features:
    * Write content in Markdown
+   * Good looking default theme
    * Theming support using Jinja2 templates
    * Generation of Atom feeds for blog content
    * Fenced code blocks and syntax highlighting using Pygments
@@ -45,13 +47,13 @@
 Section: doc
 Architecture: all
 Depends:
- ${sphinxdoc:Depends},
  ${misc:Depends},
 Multi-Arch: foreign
 Description: Blog-aware, static site generator (documentation)
  Blag is a blog-aware, static site generator, written in Python. It supports
  the following features:
    * Write content in Markdown
+   * Good looking default theme
    * Theming support using Jinja2 templates
    * Generation of Atom feeds for blog content
    * Fenced code blocks and syntax highlighting using Pygments

## blag 2.1.0

=== requirements.txt ===
markdown==3.4.4
feedgenerator==2.1.0
jinja2==3.1.2
pygments==2.16.1

=== debian/changelog ===
blag (2.1.0) unstable; urgency=medium

  * default theme: `img` have now `max-width: 100%` by default to avoid very
    large images overflowing
  * packaging: explicitly list `templates`, `static` and `content` as packages
    instead of relying on package-data for setuptools. additionally, created a
    MANIFEST.in to add the contents of these directories here as well. the
    automatic finding of namespace packages and packaga-data, currently does
    not work as advertised in setuptools' docs
  * updated dependencies
  * created debian/watch

 -- Bastian Venthur <venthur@debian.org>  Sun, 27 Aug 2023 15:27:39 +0200

=== debian/watch ===
# You can run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

# Direct Git
opts="mode=git" https://github.com/venthur/blag.git \
  refs/tags/v([\d\.]+) debian uupdate

## blag 2.2.1

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 
 .PHONY: lint
 lint: $(VENV)
-	$(BIN)/flake8
+	$(BIN)/ruff check .
 
 .PHONY: build
 build: $(VENV)

=== requirements.txt ===
markdown==3.5.1
feedgenerator==2.1.0
jinja2==3.1.2
pygments==2.16.1

=== debian/changelog ===
blag (2.2.1) unstable; urgency=medium

  * fixed suggests field to blag-doc (Closes: #1055769)

 -- Bastian Venthur <venthur@debian.org>  Sat, 11 Nov 2023 10:57:06 +0100

blag (2.2.0) unstable; urgency=medium

  * switched from flake8 to ruff
  * added missing docstrings
  * fixed dev requirements in pyproject, still pointing to sphinx
  * added Python3.12 to test suite
  * removed watch file again

 -- Bastian Venthur <venthur@debian.org>  Sun, 05 Nov 2023 17:08:09 +0100

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
  ${python3:Depends},
  ${misc:Depends},
 Suggests:
- python-blag-doc,
+ blag-doc,
 Description: Blog-aware, static site generator
  Blag is a blog-aware, static site generator, written in Python. It supports
  the following features:

## blag 2.3.1

=== requirements.txt ===
markdown==3.6
feedgenerator==2.1.0
jinja2==3.1.4
pygments==2.18.0

=== debian/changelog ===
blag (2.3.1) unstable; urgency=medium

  * added manpage
  * added makefile target for generating blog's manpage
  * added makefile target for serving blags docs locally
  * mkdocs: disabled loading of google fonts, using locally installed system
    fonts instead
  * Debian: simplified html docs directory for blag-doc package
  * Debian: changed section in debian/control from Python to Web
  * updated dependencies

 -- Bastian Venthur <venthur@debian.org>  Sat, 06 Jul 2024 15:33:36 +0200

blag (2.3.0) unstable; urgency=medium

  * fixed devsever so it does not crash anymore when the (re-)build fails
  * dropped support for Python 3.8 and 3.9
  * updated dependencies

 -- Bastian Venthur <venthur@debian.org>  Wed, 24 Apr 2024 22:25:31 +0200

## blag 2.3.2

=== Makefile ===
--- 
+++ 
@@ -57,6 +57,14 @@
 docs: $(VENV)
 	$(BIN)/mkdocs build
 
+.PHONY: serve-docs
+serve-docs: $(VENV)
+	$(BIN)/mkdocs serve
+
+.PHONY: manpage
+manpage: $(VENV)
+	help2man $(BIN)/blag --no-info -n "blog-aware, static site generator" -o debian/blag.1
+
 .PHONY: clean
 clean:
 	rm -rf build dist *.egg-info

=== requirements.txt ===
markdown==3.7
feedgenerator==2.1.0
jinja2==3.1.4
pygments==2.18.0

=== debian/changelog ===
blag (2.3.2) unstable; urgency=medium

  * Ignore FileNotFoundError when trying to get the last modified time of
    files in directories. This happens for example with temporary emacs files.
  * Added changelog to docs
  * removed ruff's target-version from pyproject.toml, this value defaults to
    the projects requires-python

 -- Bastian Venthur <venthur@debian.org>  Sun, 13 Oct 2024 20:12:29 +0200

## blag 2.3.3

=== Makefile ===
--- 
+++ 
@@ -53,6 +53,11 @@
 	$(BIN)/pygmentize -f html -S default > blag/static/code-light.css
 	$(BIN)/pygmentize -f html -S monokai > blag/static/code-dark.css
 
+.PHONY: update-requirements
+update-requirements: $(VENV)
+	$(BIN)/pip-compile --upgrade --no-annotate --strip-extras --output-file requirements.txt
+	$(BIN)/pip-compile --upgrade --no-annotate --strip-extras --extra dev --output-file requirements-dev.txt
+
 .PHONY: docs
 docs: $(VENV)
 	$(BIN)/mkdocs build

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.13
# by the following command:
#
#    pip-compile --no-annotate --output-file=requirements.txt --strip-extras
#
feedgenerator==2.1.0
jinja2==3.1.6
markdown==3.7
markupsafe==3.0.2
pygments==2.19.1
pytz==2025.2

=== debian/changelog ===
blag (2.3.3) unstable; urgency=medium

  * Fixed Atom feed encoding to 'utf-8'
  * Added Python 3.13 to github actions
  * `requirements*.txt` files are handled by pip-tools. Updates are handled by
    make update-requirements based on the dependencies described in the
    pyproject.toml

 -- Bastian Venthur <venthur@debian.org>  Sun, 27 Apr 2025 11:42:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: blag
-Section: python
+Section: web
 Priority: optional
 Maintainer: Bastian Venthur <venthur@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
+ dh-python,
  dh-sequence-python3,
- dh-python,
+ mkdocs,
+ mkdocs-material,
+ mkdocstrings-python-handlers,
  pybuild-plugin-pyproject,
- python3-setuptools,
  python3-all,
- python3-markdown,
  python3-feedgenerator,
  python3-jinja2,
+ python3-markdown,
  python3-pygments,
  python3-pytest,
  python3-pytest-cov,
- mkdocs,
- mkdocs-material,
- mkdocstrings-python-handlers,
+ python3-setuptools,
 #Testsuite: autopkgtest-pkg-python
 Standards-Version: 4.6.0.1
 Homepage: https://github.com/venthur/blag
@@ -28,8 +28,8 @@
 Package: blag
 Architecture: all
 Depends:
+ ${misc:Depends},
  ${python3:Depends},
- ${misc:Depends},
 Suggests:
  blag-doc,
 Description: Blog-aware, static site generator

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_DESTDIR=debian/blag
export PYBUILD_TEST_ARGS=--no-cov
export PYBUILD_NAME=blag

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	PYTHONPATH=. mkdocs build
